<template>
    <div class="loading-body">
        <div class="cssload-loading"></div>
    </div>
</template>

<script>
    export default {
        name: "loading"
    }
</script>

<style scoped>
    .loading-body {
        min-height: 150px;
        height: 100%;
        width: 100%;
        display: flex;
        align-items: center;
    }
    .cssload-loading {
        position: relative;
        width: 75px;
        height: 75px;
        background: rgb(122,34,77);
        display:block;
        margin: auto;
        animation: 1.15s cssload-spin infinite;
    }

    .cssload-loading::before, .cssload-loading::after {
        content: "";
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        animation: 0.58s infinite alternate linear
    }
    .cssload-loading::before {
        background: rgb(197,171,182);
        animation-name: cssload-blur1;
    }
    .cssload-loading::after {
        background: rgb(255,255,255);
        animation-name: cssload-blur2;
    }

    @keyframes cssload-spin {
        to { transform: rotate(360deg); }
    }
    @keyframes cssload-blur1 {
        to { transform: rotate(-30deg); }
    }
    @keyframes cssload-blur2 {
        to { transform: rotate(-15deg); }
    }
</style>